# Uses of Enum Class
javax.lang.model.element.Modifier

Packages that use Modifier
Package
Description
com.sun.source.tree
Provides interfaces to represent source code as abstract syntax trees (AST).
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.tools
Provides interfaces for tools which can be invoked from a program, for example, compilers.

## Uses of Modifier in com.sun.source.tree

Methods in com.sun.source.tree that return types with arguments of type Modifier
Modifier and Type
Method
Description
`Set<Modifier>`
ModifiersTree.`getFlags()`
Returns the flags in this modifiers tree.

## Uses of Modifier in javax.lang.model.element

Subclasses with type arguments of type Modifier in javax.lang.model.element
Modifier and Type
Class
Description
`enum`
`Modifier`
Represents a modifier on a program element such as a class, method, or field.
Methods in javax.lang.model.element that return Modifier
Modifier and Type
Method
Description
`static Modifier`
Modifier.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Modifier[]`
Modifier.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in javax.lang.model.element that return types with arguments of type Modifier
Modifier and Type
Method
Description
`Set<Modifier>`
Element.`getModifiers()`
Returns the modifiers of this element, excluding annotations.

## Uses of Modifier in javax.tools

Methods in javax.tools that return Modifier
Modifier and Type
Method
Description
`Modifier`
ForwardingJavaFileObject.`getAccessLevel()`
`Modifier`
JavaFileObject.`getAccessLevel()`
Provides a hint about the access level of the class represented by this file object.
`Modifier`
SimpleJavaFileObject.`getAccessLevel()`
Provides a hint about the access level of the class represented by this file object.